The Cisco VPN application only works with OS X 10.6 and older Macs, or OS X 10.7 Macs booted into 32-bit mode. All newer Macs will give an error 51 when attempting to launch the Cisco VPN Client.

If you have a PCF file, and the Cisco device you want to VPN into has the Cisco IPSec protocol enabled, you can use the PCF file to help setup newer Macs using Apple’s built-in VPN. A very detailed guide for how to this is located at: http://anders.com/guides/native-cisco-vpn-on-mac-os-x/